function [outString] = rPaddString(inString,nChar)
%
%=======================================================================================
%
% Copyright (C) 2011  Product Team, IRIS Data Management Center
%
%    This is a free software; you can redistribute it and/or modify
%    it under the terms of the GNU Lesser General Public License as
%    published by the Free Software Foundation; either version 3 of the
%    License, or (at your option) any later version.
%
%    This script is distributed in the hope that it will be useful, but
%    WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%    Lesser General Public License (GNU-LGPL) for more details.  The
%    GNU-LGPL and further information can be found here:
%    http://www.gnu.org/
%
%    You should have received a copy of the GNU Affero General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% Description:
%    padds a string with spaces
%
% Input:
%    inString : input string
%    nChar: number of characters desired
%
% Output:
%    outString: output string of length nChar
%
% History:
%   2009 : created
%
%=======================================================================================

   outString = zeros(length(inString));
   outString = inString;
   while (length(outString) < nChar)
       outString = [outString,' '];
   end;
